#include <bits/stdc++.h>
#define int long long
using namespace std;

int n, p, q, r, ans, a, b;

bool works(int x){
	int res = 0;
	res += x / p;
	res += x/q;
	res += x/r;
	if(x % p){
		res++;
	}
	if(x % q){
		res++;
	}
	if(x % r){
		res++;
	}
	return res <= x;
}

signed main(){
    ios_base::sync_with_stdio(0);
	cout.tie(0);
	cin.tie(0);
	cin >> p >> q >> r >> a >> b;
	if(p*q + q*r + p*r < p*r*q){
		int ans = b-a+1;
		for(int i = a; i <= b; ++i){
			if(i > 3000000){
				break;
			}
			if(!works(i)){
				--ans;
			}
		}
		cout << ans;
	} else if(p*q + q*r + p*r == p*q*r){
		p = __gcd(p, __gcd(q, r));
		while(a % p){
			++a;
		}
		while(b % p){
			--b;
		}
		if(b < a){
			cout << 0;
		} else {
			cout << (b-a)/p + 1;
		}
	} else {
		cout << 0;
	}
}